import matplotlib.pyplot as plt
import seaborn as sns


def plot_results(results):
    fig, axes = plt.subplots(3, 1, figsize=(8, 8))

    sns.lineplot(
        data=results,
        x="time",
        y="inflow",
        drawstyle="steps-pre",
        color="#27ae60",
        ax=axes[0],
    )
    axes[0].set_title("Inflow Rate")
    axes[0].set(ylabel=None)

    sns.lineplot(
        data=results,
        x="time",
        y="demand",
        color="black",
        ax=axes[1],
    )
    sns.lineplot(
        data=results,
        x="time",
        y="outflow",
        drawstyle="steps-pre",
        color="#3498db",
        ax=axes[1],
    )
    axes[1].set_title("Outflow Rate")
    axes[1].set(ylabel=None)

    sns.lineplot(
        data=results,
        x="time",
        y="level",
        color="black",
        ax=axes[2],
    )
    axes[2].set_title("Tank Level")
    axes[2].set(ylabel=None)

    plt.tight_layout()

    return plt
